#!/bin/sh
DBLIST=${1}
PORT=${2:-5432}
PWD=`pwd`
WD=`basename ${PWD}`

if [ -e backup_log.log ]; then
	rm backup_log.log
fi
if [ -e backup_success.log ]; then
	rm backup_success.log
fi
if [ -e backup_error.log ]; then
	rm backup_error.log
fi
touch backup_log.log
touch backup_success.log
touch backup_error.log

echo "Starting exporting databases and roles "
printf "Exporting Roles... "
#pg_dumpall -p ${PORT} | sed -n -e '1,/Database creation/p' > roles.sql
pg_dumpall -p ${PORT} -r > roles.sql
if [ $? -eq 0 ]; then
	printf "Ok\\n"
else
	printf "Failed\\n"
	exit 1
fi

for db in `cat $DBLIST`
do
	printf "Exporting %s... " ${db}
	sh migrate.sh export ${db} ${PORT} >> backup_log.log 2>&1
	if [ $? -eq 0 ]; then
		printf "Ok\\n"
		echo $db >> backup_success.log
	else
		printf "Failed\\n"
		echo $db >> backup_error.log
	fi
done
printf "Ready."
echo "Next step: wc -l backup_error.log; cd ..; tar cjvf ${WD}.tar.bz2 ${WD}"
exit 0
