# -*- coding: utf-8 -*-
#
# Copyright 2007, 2008 Intevation GmbH, Germany, <info@intevation.de>
#
# This file is part of mpuls WASKA (CoMPUter-based case fiLeS -
# Web-Anwendungs-Server fuer Kompetenzagenturen).
#
# mpuls WASKA is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# mpuls WASKA is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with mpuls WASKA. If not, see <http://www.gnu.org/licenses/>.
#
# mpuls WASKA has been developed on behalf of the
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and
# European Social Fund resources.
#
# Authors:
# Roland Geider <roland.geider@intevation.de>
#

import logging

from pylons import request

from mpulsweb.controllers.formularpage import FormularpageController

from waskoweb.model.agencysettings import Agency


log = logging.getLogger(__name__)


class FormularpageController(FormularpageController):

    def _before_set_data_hook(self, case_id, form_result):
        """Set or Reset the evaluation number if the form_result is for page 2
        """
        if request.params['page'].split(':')[0] == 'page-2':

            # Reset the evaluation number is the young adult does not want
            # to participate in the survey or does not want his personal
            # data to be used
            if (form_result['teilnahme_evaluation:%s' % case_id]
                in [u'-1', u'1', u'3', u'4', u'5']):
                form_result['evaluation_nummer:%s' % case_id] = u''

            # The evaluation_nummer field might be grayed out, so it won't
            # be in the sent fields dictionary
            elif 'evaluation_nummer:%s' % case_id not in form_result:
                # Generate the ID (we do not check for uniqueness). It is
                # created from the evaluation abbreviation (agency wide) and
                # a manually entered number or sequence
                eval_id = u"%s-(bitte ergaenzen)" % Agency().getEvaluationId()
                form_result['evaluation_nummer:%s' % case_id] = eval_id
