# -*- coding: utf-8 -*-
#
# Copyright 2007, 2008 Intevation GmbH, Germany, <info@intevation.de>
#
# This file is part of mpuls WASKA (CoMPUter-based case fiLeS -
# Web-Anwendungs-Server fuer Kompetenzagenturen).
#
# mpuls WASKA is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the
# Free Software Foundation, either version 3 of the License, or (at your
# option) any later version.
#
# mpuls WASKA is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
# FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public
# License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License along with mpuls WASKA. If not, see <http://www.gnu.org/licenses/>.
#
# mpuls WASKA has been developed on behalf of the
# Projekttraeger im Deutschen Zentrum fuer Luft- und Raumfahrt e.V. (PT-DLR)
# within the programme Kompetenzagenturen (Durchfuehrungsphase) funded by
# the Bundesministerium fuer Familie, Senioren, Frauen und Jugend and
# European Social Fund resources.
#
# Authors:
# Torsten Irlaender <torsten.irlaender@intevation.de>
#

import logging

from pylons import tmpl_context as c, app_globals as g

from mpulsweb.model.appointment import MaxSaveTimeReminderOverview, \
                CaseReminderOverview
from mpulsweb.lib.base import BaseController, render, session
from mpulsweb.controllers.mpuls import MpulsController
import mpulsweb.lib.helpers as h
from waskoweb.model.appointment import CaseReminderMaxLength

log = logging.getLogger(__name__)


class MpulsController(MpulsController):

    def get_reminders(self):
        """Return an AppointmentOverview instance with reminders.
        The overview always contains the max save time reminders.
        """
        
        remindlist = MaxSaveTimeReminderOverview()
        remindlist.join(CaseReminderMaxLength())
        remindlist.sort()
        return remindlist


