## -*- coding: utf-8 -*-
<%inherit file="../main.mako" />
<%
  formular_labels = {'ka_name': _('adm_form_settings_kaname'),
                     'fkz': _('adm_form_settings_fkz'),
                     'max_speicherdauer': _('adm_form_settings_max_savetime')
                    }
%>
<%def name="buildNavipath()">
  ${parent.buildNavipath()}
  <li>
    <a href="${h.url_for(controller='/settings')}">${_('adm_np_root')}</a>
  </li>
  <li>
    <a href="${h.url_for(controller='/settings', action='show')}">${_('adm_np_showsettings')}</a>
  </li>
  <li>
    <a href="${h.url_for(controller='/settings', action='edit')}">${_('adm_np_editsettings')}</a>
  </li>
</%def>

<div id="content_header_small">
  <div id="content_ueberschrift">
    ${_('adm_header_editsettings')}
  </div>
  <div id="modusfield">
    <div class="actions">
      <ul>
        <li>
          <a href="${h.url_for(controller='settings',
                               action='show')}">
            ${_('adm_actions_link_showsettings')}
          </a>
        </li>
      </ul>
    </div>
  </div>
</div>

${self.buildFormErrors(formular_labels)}
<div id="admin_edit_settings">
  <p>${_('adm_con_es_editsettings')}</p>
  <div class="waska_form">
    <form action="${h.url_for(controller='/settings', action='editAction')}" method="POST">
      <fieldset>
        <legend>Angaben zur Einrichtung</legend>
        <div class="waska_form_element w30">
          <label for="ka_name">${_('adm_form_settings_kaname')}</label>
          % if c.form_errors.get('ka_name'):
            <input type="text" class="field error_box" id="ka_name"
                   value="${c.form_result.get('ka_name', c.agency.getName())}"
                   name="ka_name" maxlength="60">
          % else:
            <input type="text" class="field" id="ka_name" name="ka_name"
                   value="${c.form_result.get('ka_name', c.agency.getName())}"
                   maxlength="60">
          % endif
        </div>
        <div class="waska_form_element w30">
          <label for="ka_adresse">${_('adm_form_settings_kaadress')}</label>
          % if c.form_errors.get('ka_adresse'):
            <input type="text" class="field error_box" id="ka_adresse"
                   value="${c.form_result.get('ka_adresse', c.agency.getAddress())}"
                   name="ka_adresse" maxlength="120">
          % else:
            <input type="text" class="field" id="ka_adresse" name="ka_adresse"
                   value="${c.form_result.get('ka_adresse', c.agency.getAddress())}"
                   maxlength="120">
          % endif
        </div>
        <div class="waska_form_element w30">
          <label for="fkz">${_('adm_form_settings_fkz')}</label>
          % if c.form_errors.get('fkz'):
            <input type="text" class="error_box" id="fkz" name="fkz"
                   value="${c.form_result.get('fkz', c.agency.getFKZ())}"
                   maxlength="60">
          % else:
            <input type="text" id="fkz" name="fkz"
                   value="${c.form_result.get('fkz', c.agency.getFKZ())}"
                   maxlength="60">
          % endif
        </div>
        <div class="waska_form_element w30">
	      <label for="evaluation_id">${_('Evaluation ID')}</label>
              <input type="text"
                     id="evaluation_id"
                     name="evaluation_id"
                     value="${c.form_result.get('evaluation_id', c.agency.getEvaluationId())| h}"
                     maxlength="60">
            </div>
      </fieldset>
      <fieldset>
        <legend>Angaben zu den Fallakten</legend>
        <div class="waska_form_element w100">
          <label for="max_speicherdauer">
            ${_('adm_form_settings_max_savetime')}
          </label>
          % if c.form_errors.get('max_speicherdauer'):
            <input type="text" class="error_box" id="max_speicherdauer"
                   name="max_speicherdauer"
                   value="${c.form_result.get('max_speicherdauer',
                                              c.agency.getMaxSavetime())}"
                   maxlength="4">
          % else:
            <input type="text" id="max_speicherdauer" name="max_speicherdauer"
                   value="${c.form_result.get('max_speicherdauer',
                                              c.agency.getMaxSavetime())}"
                   maxlength="4">
          % endif
          <p class="info">
            Automatische Wiedervorlagen dienen zum Auffinden von Fallakten, die länger als der angegebene Wert nicht bearbeitet wurden. Neben diesem Kriterium kann es weitere Bedingungen geben ab wann eine Wiedervorlage erstellt wird. Weitere Bedingungen: ${g.mpuls_config.get('case', 'reminderconditiondesc')}
          </p>
        </div>
        <div class="waska_form_element w100">
          % if c.form_errors.get('anon_transfer'):
            <a href="#error_list">
              <img class="smallicon" alt="" src="${h.url_for('/images/icons/info/failure_22.png')}">
            </a>
          % endif
          % if c.agency.isAnonTransfer():
            <input id="anon_transfer" name="anon_transfer" type="checkbox"
                   checked />
          % else:
            <input id="anon_transfer" name="anon_transfer" type="checkbox"/>
          % endif
          <label for="anon_transfer">
            ${_('adm_form_settings_anontransfer')}
          </label>
          <p>
            Ist die Option aktiviert, werden anonymisierte Fallakten zu
            Auswertungszwecken an eine zentrale Einrichtung
            übermittelt. Anonymisierte Fallakten enthalten keine
            persönlichen Daten wie Namen oder Adressen.
          </p>
        </div>
      </fieldset>
      <div id="admin_edit_settings_submit" class="waska_form_element w100">
        <input type="submit" value="${_('adm_form_settings_save')}">
      </div>
    </form>
  </div>
</div>

